import { Image, Swiper, SwiperItem, Text, View } from "@tarojs/components"
import styles  from './index.module.scss'
import { formatImgUrl } from "@/common/fotmat"
import Taro from "@tarojs/taro";
import { goLink } from "@/common/common";
import CloseBtn from "@/components/closeBtn";
import { useEffect, useState } from "react";

type params = {
    show?: true|false,
    onClose?: () => void,
    saleMan?: string
}
export default ({show = false, saleMan = '', onClose}:params) => {
    const onClick = async () => {
        onClose?.()
        goLink('/pages/index/index', {}, 'switchTab')
        
    }
    const onCloseEven = () => {
        onClose?.()
    }
    return (
        <>
            {show&&<View className={styles.bindSalesman_main}>
                <View className={styles.bindSalesman_pop}>
                    <View className={styles.bindSalesman_header} onClick={() => onClick()}>
                        <Image src={formatImgUrl('/mall/invite_code_success.png', '!w400')} mode="widthFix"/>
                        <View className={styles.sale_man}>邀请人： {saleMan}</View>
                    </View>
                    <View className={styles.btns} >
                        <Image src={formatImgUrl('/mall/invite_code_btn.png', '!w400')} mode="widthFix" onClick = {() => onClick()}/>
                    </View>
                    <CloseBtn styleObj={{backgroundImage: '', border:'2PX solid #fff', color: '#fff'}} onClose={onCloseEven}/>
                </View>
                <View className={styles.bindSalesman_mask} onClick={onCloseEven}></View>
            </View>}
        </>
    )
   
}